Package org.postgresql.jre7.sasl

# Class ScramAuthenticator

java.lang.Object
org.postgresql.jre7.sasl.ScramAuthenticator

public class ScramAuthenticator extends Object

## Constructor Summary

Constructors
Constructor
Description
`ScramAuthenticator(String user, String password, PGStream pgStream)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processServerFirstMessage(int length)`
`void`
`processServerMechanismsAndInit()`
`void`
`sendScramClientFirstMessage()`
`void`
`verifyServerSignature(int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScramAuthenticator

public ScramAuthenticator(String user, String password, PGStream pgStream)

## Method Details

### processServerMechanismsAndInit

public void processServerMechanismsAndInit() throws IOException, PSQLException

Throws:
  `IOException`
  `PSQLException`

### sendScramClientFirstMessage

public void sendScramClientFirstMessage() throws IOException

Throws:
  `IOException`

### processServerFirstMessage

public void processServerFirstMessage(int length) throws IOException, PSQLException

Throws:
  `IOException`
  `PSQLException`

### verifyServerSignature

public void verifyServerSignature(int length) throws IOException, PSQLException

Throws:
  `IOException`
  `PSQLException`